Wait/Release operations

enum | flag_type { flag32, flag64, flag_oncore }

## Detailed Description

The definitions and functions here implement the lowest level thread synchronizations of suspending a thread and awaking it. They are used to build higher level operations such as barriers and fork/join.

## Enumeration Type Documentation

## flag_type

enum flag_type

The flag_type describes the storage used for the flag.

Enumerator
flag32 | 32 bit flags
flag64 | 64 bit flags
flag_oncore | special 64-bit flag for on-core barrier (hierarchical)

Definition at line 39 of file kmp_wait_release.h.